Autsch! In light of the recent attacks on Google China and Microsoft's revelation that an Internet Explorer security flaw served as an impetus in the assault, Germany's Federal Office for Information Security has released a warning to its population: avoid IE. Specifically, the report calls out the latest three versions -- 6, 7, and 8 -- but let's face it, those older versions should be avoided on grounds of usability alone. Boy, bet the Bonn-based agency is happy about that Windows 7 web browser ballot screen, eh?